'use strict';

var merge = require('../node_modules/lodash-es/merge.js');
require('core-js/modules/es.array.concat.js');
var React = require('react');

var useMerged = function useMerged() {
  for (var _len = arguments.length, args = new Array(_len), _key = 0; _key < _len; _key++) {
    args[_key] = arguments[_key];
  }
  // since the spread args is an array, we don't need to wrap it in another array. Doing so breaks
  // the useMemo because a new array would be created with each render
  // eslint-disable-next-line react-hooks/exhaustive-deps
  return React.useMemo(function () {
    return merge.apply(void 0, [{}].concat(args));
  }, args);
};
var useMerged$1 = useMerged;

module.exports = useMerged$1;
